
Redmine - Feature #34417

Require explicit confirmation when deleting a user or a project

2020-12-09 04:14 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

It happens quite often at Planio that we have to support users who accidentally deleted something. Often, a Javascript alert box is

simply dismissed by the user without actually grasping it's message, leading to unintended consequences. Especially in the case of

deleted user accounts, a lot of information is lost and hard to restore from a backup.

The first patch in this issue introduces an explicit confirmation page (similar to when deleting a project) which requires to enter the

login of the user to be deleted in order to confirm the deletion. It also suggests locking the user as a safer option instead and offers a

button to do so.

The second patch changes the project deletion page to require the user to enter the identifier of the project to be deleted, instead of

just ticking a checkbox, just to make it a bit harder to delete the wrong project by accident.

Related issues:

Related to Redmine - Feature #33071: Prevent accidental deletion of contents ... Reopened

Related to Redmine - Patch #35373: Improve project deletion warning text New

Associated revisions

Revision 20600 - 2020-12-10 01:57 - Go MAEDA

Require explicit confirmation before deleting a user (#34417).

Patch by Jens Krämer.

Revision 20601 - 2020-12-10 02:09 - Go MAEDA

Require to enter project's identifier to confirm project deletion (#34417).

Patch by Jens Krämer.

Revision 20602 - 2020-12-10 02:12 - Go MAEDA

Update locales (#34417).

History

#1 - 2020-12-09 04:16 - Jens Krämer

- File Screenshot from 2020-12-09 11-15-25.png added

- File Screenshot from 2020-12-09 11-15-50.png added

#2 - 2020-12-09 08:13 - Marius BĂLTEANU

- Subject changed from require explicit confirmation when deleting a user to Require explicit confirmation when deleting a user or a project

- Target version set to Candidate for next major release

Very nice addition and it works well from my tests.

I've added the patches to CI, if all the tests pass, I think we can deliver this in 4.2.0 and use this implementation to improve other object deletion (like 

#33071).

#3 - 2020-12-09 08:14 - Marius BĂLTEANU

- Related to Feature #33071: Prevent accidental deletion of contents with sudo mode added
https://www.redmine.org/versions/152
https://www.redmine.org/issues/33071


#4 - 2020-12-09 14:14 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 4.2.0

Tests pass https://gitlab.com/redmine-org/redmine/-/pipelines/227153244 (except system tests, but there are other issues there).

#5 - 2020-12-09 15:27 - Go MAEDA

It is a great improvement. I think there is no reason not to deliver this new feature in Redmine 4.2.0.

#6 - 2020-12-10 02:12 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patches. Thank you for your contribution.

#7 - 2021-03-28 01:51 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

#8 - 2021-06-20 08:42 - Go MAEDA

- Related to Patch #35373: Improve project deletion warning text added

Files

0002-require-to-enter-project-s-identifier-to-confirm-pro.patch 4.76 KB 2020-12-09 Jens Krämer

0001-require-explicit-confirmation-before-deleting-a-user.patch 7.65 KB 2020-12-09 Jens Krämer

Screenshot from 2020-12-09 11-15-25.png 30.6 KB 2020-12-09 Jens Krämer

Screenshot from 2020-12-09 11-15-50.png 64.9 KB 2020-12-09 Jens Krämer
